Subject: Re: [patch 4/4] Network namespaces: playing and debugging

From: Daniel Lezcano <[email-masked]>
Date: Mon, 26 Jun 2006 19:29:57 +0200

>>>Do
>>>	exec 7< /proc/net/net_ns
>>>in your bash shell and you'll get a brand new network namespace.
>>>There you can, for example, do
>>>	ip link set lo up
>>>	ip addr list
>>>	ip addr add 1.2.3.4 dev lo
>>>	ping -n 1.2.3.4
>>>

Andrey,

I began to play with your patchset. I am able to connect to 127.0.0.1 
from different namespaces. Is it the expected behavior ?
Furthermore, I am not able to have several programs, running in 
different namespaces, to bind to the same INADDR_ANY:port.

Will these features be included in the second patchset ?

>>
>>Is it possible to setup a network device to communicate with the outside ?
> 
> 
> Such device was planned for the second patchset :)
> I perhaps can send the patch tomorrow.

Cool :)